Loading...
Searching...
No Matches
ddim.c File Reference

The functions in this file define, inquire about, and rename dimensions. More...

`#include "ncdispatch.h"`
Include dependency graph for ddim.c:

Go to the source code of this file.

## Functions

int | nc_def_dim (int ncid, const char *name, size_t len, int *idp)
| Define a new dimension.
int | nc_inq_dim (int ncid, int dimid, char *name, size_t *lenp)
| Find the name and length of a dimension.
int | nc_inq_dimid (int ncid, const char *name, int *idp)
| Find the ID of a dimension from the name.
int | nc_inq_dimlen (int ncid, int dimid, size_t *lenp)
| Find the length of a dimension.
int | nc_inq_dimname (int ncid, int dimid, char *name)
| Find out the name of a dimension.
int | nc_inq_ndims (int ncid, int *ndimsp)
| Find the number of dimensions.
int | nc_inq_unlimdim (int ncid, int *unlimdimidp)
| Find the ID of the unlimited dimension.
int | nc_rename_dim (int ncid, int dimid, const char *name)
| Rename a dimension.

## Detailed Description

The functions in this file define, inquire about, and rename dimensions.

Definition in file ddim.c.